GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "da91841d-6e89-4c16-9491-91a0cbd116c5",
"selected_nameplate_id": "bb59a63e-04c3-41a1-be92-3999f29c689e",
"active": true,
"department_id": "579571af-4691-435d-b56f-45b612a6515a",
"id": "b044c3b5-b5f9-4f3c-acfd-0b8ed6ccefbd",
"physical_item_id": "957e26ba-e825-4f1c-b71a-6f50ac2cd143",
"service_item_id": "0e997684-ea77-4cff-83b8-1b226576a30e",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>579571af-4691-435d-b56f-45b612a6515a</department_id>
<id>b044c3b5-b5f9-4f3c-acfd-0b8ed6ccefbd</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>957e26ba-e825-4f1c-b71a-6f50ac2cd143</physical_item_id>
<quantity>1</quantity>
<service_item_id>0e997684-ea77-4cff-83b8-1b226576a30e</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>bb59a63e-04c3-41a1-be92-3999f29c689e</selected_nameplate_id>
<selected_sticker_id>da91841d-6e89-4c16-9491-91a0cbd116c5</selected_sticker_id>
</department_item>